Bug 1374278 - rpc/xdr: generated files are filtered with a sed extended regex
Summary: rpc/xdr: generated files are filtered with a sed extended regex
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On: 1330604 1377341
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-08 11:45 UTC by Kaleb KEITHLEY
Modified: 2016-12-06 05:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1374280 (view as bug list)
Environment:
Last Closed: 2016-12-06 05:11:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2016-09-08 11:45:09 UTC
Description of problem:

Extended regex handling is enabled with -r command line option on linux.

NetBSD and FreeBSD use -E, but also provide -r for compatibility.

Mac OS X only accepts -E. As a result, building on Mac OS fails early. (There may be other issues with building on Mac OS.)

In any event, it's possible to do the job with an ordinary regex, extended regex isn't necessary.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2016-09-08 12:06:52 UTC
REVIEW: http://review.gluster.org/15427 (rpc/xdr: use ordinary regex to sed filter generated files) posted (#1) for review on release-3.9 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 2 Worker Ant 2016-09-08 12:17:39 UTC
REVIEW: http://review.gluster.org/15427 (rpc/xdr: use ordinary regex to sed filter generated files) posted (#2) for review on release-3.9 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 3 Worker Ant 2016-09-09 00:58:20 UTC
REVIEW: http://review.gluster.org/15427 (rpc/xdr: use ordinary regex to sed filter generated files) posted (#3) for review on release-3.9 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 4 Worker Ant 2016-09-12 09:13:27 UTC
COMMIT: http://review.gluster.org/15427 committed in release-3.9 by Niels de Vos (ndevos@redhat.com) 
------
commit 0665f1fc689501024af523ff79a2413614267ef7
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Sep 8 08:04:56 2016 -0400

    rpc/xdr: use ordinary regex to sed filter generated files
    
    Versus an extended regex
    
    While NetBSD and FreeBSD's sed has compat -r command line option,
    Mac OS X's sed does not.
    
    And there's no need to use an extended regex here; avoiding extra
    logic to determine whether running on Linux or *BSD.
    
    Change-Id: I6089f994f6c4f50eb353fc018b1b678ec93d6626
    BUG: 1374278
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/15427
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.